Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057423 - [abrt] sound-juicer: filepath_parse_pattern(): sound-juicer killed by SIGSEGV
Summary: [abrt] sound-juicer: filepath_parse_pattern(): sound-juicer killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sound-juicer
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ef5890a3108c4be57170982645c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 04:53 UTC by scattol
Modified: 2015-02-17 19:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:35 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: cgroup (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: core_backtrace (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: dso_list (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: environ (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: exploitable (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: limits (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: maps (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: open_fds (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: proc_pid_status (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details
File: var_log_messages (deleted)
2014-01-24 04:53 UTC, scattol
no flags Details

Description scattol 2014-01-24 04:53:14 UTC
Description of problem:
was in the middle ripping.

Version-Release number of selected component:
sound-juicer-3.5.0-4.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        sound-juicer /run/user/1000/gvfs/cdda:host=sr0
crash_function: filepath_parse_pattern
executable:     /usr/bin/sound-juicer
kernel:         3.12.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 filepath_parse_pattern at sj-extracting.c:991
 #1 build_filename at sj-extracting.c:146
 #2 on_completion_cb at sj-extracting.c:663
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 gst_bus_async_signal_func at gstbus.c:1126
 #11 gst_bus_source_dispatch at gstbus.c:773
 #16 gtk_dialog_run at gtkdialog.c:1110
 #17 multiple_album_dialog at sj-main.c:669

Comment 1 scattol 2014-01-24 04:53:18 UTC
Created attachment 854747 [details]
File: backtrace

Comment 2 scattol 2014-01-24 04:53:19 UTC
Created attachment 854748 [details]
File: cgroup

Comment 3 scattol 2014-01-24 04:53:21 UTC
Created attachment 854749 [details]
File: core_backtrace

Comment 4 scattol 2014-01-24 04:53:22 UTC
Created attachment 854750 [details]
File: dso_list

Comment 5 scattol 2014-01-24 04:53:24 UTC
Created attachment 854751 [details]
File: environ

Comment 6 scattol 2014-01-24 04:53:25 UTC
Created attachment 854752 [details]
File: exploitable

Comment 7 scattol 2014-01-24 04:53:27 UTC
Created attachment 854753 [details]
File: limits

Comment 8 scattol 2014-01-24 04:53:28 UTC
Created attachment 854754 [details]
File: maps

Comment 9 scattol 2014-01-24 04:53:30 UTC
Created attachment 854755 [details]
File: open_fds

Comment 10 scattol 2014-01-24 04:53:31 UTC
Created attachment 854756 [details]
File: proc_pid_status

Comment 11 scattol 2014-01-24 04:53:32 UTC
Created attachment 854757 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-01-09 21:08:23 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-17 19:55:35 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.